Name: apache2-mod_security
Version: 2.1.1
Release: alt1

Summary: Tighten web applications security for Apache 2.x
License: GPL
Group: System/Servers

Url: http://www.modsecurity.org
Source0: modsecurity.tar
Source3: README.ALT
Source4: altdefaults.conf
Source5: security.load
Source6: security.conf
Patch0: modsecurity-%version-%release.patch

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

Requires: apache2
BuildRequires: apache2-devel libapr1-devel libaprutil1-devel libxml2-devel libpcre-devel libldap-devel

%description
Mod_security is an Apache 1.x/2.x module whose purpose is to tighten the Web
application security. Effectively, it is an intrusion detection and prevention
system for the web server.

At the moment its main features are:
* Audit log; store full request details in a separate file, including POST
payloads.
* Request filtering; incoming requests can be analysed and offensive requests
can be rejected (or simply logged, if that is what you want). This feature
can be used to prevent many types of attacks (e.g. XSS attacks, SQL
injection, ...) and even allow you to run insecure applications on your
servers (if you have no other choice, of course).

%package doc
Summary: Documentation for %name module
Group: System/Servers

%description doc
%summary

%prep
%setup -q -n modsecurity
%patch0 -p1

sed -i -e "s,@libdir@,%_libdir,g" apache2/Makefile

%build
pushd apache2
%make
popd

%install
install -pDm644 apache2/.libs/mod_security2.so %buildroot%_libdir/apache2/modules/mod_security2.so
install -pm644 %SOURCE3 README.ALT
install -pDm644 %SOURCE5 %buildroot%_sysconfdir/httpd2/conf/mods-available/security.load
install -pDm644 %SOURCE6 %buildroot%_sysconfdir/httpd2/conf/mods-available/security.conf

# alt default ruleset
install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/mod_security/altdefaults.conf

# default rules
cp -rp rules %buildroot%_sysconfdir/mod_security/
rm -f %buildroot%_sysconfdir/mod_security/rules/LICENSE

%post
a2enmod security >/dev/null 2>&1 ||:
%_initdir/httpd2 condreload >/dev/null 2>&1 ||:

%postun
a2dismod security >/dev/null 2>&1 ||:
%_initdir/httpd2 condreload >/dev/null 2>&1 ||:


%files
%_libdir/apache2/modules/mod_security2.so
%_sysconfdir/httpd2/conf/mods-available/security.load
%config(noreplace) %_sysconfdir/httpd2/conf/mods-available/security.conf
%config(noreplace) %_sysconfdir/mod_security/*.conf
%config(noreplace) %_sysconfdir/mod_security/rules/*.conf
%config(noreplace) %_sysconfdir/mod_security/rules/blocking/*.conf
%_sysconfdir/mod_security/rules/CHANGELOG
%_sysconfdir/mod_security/rules/README
%dir %_sysconfdir/mod_security

%files doc
%doc CHANGES README* modsecurity.conf-minimal doc

%changelog
* Mon May 21 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 2.1.1-alt1
- Updated to 2.1.1:
  + Security fix: CVE-2007-1359 (ASCIIZ (NUL) parsing for
  application/x-www-form-urlencoded forms)
  + Fixed potential memory corruption when expanding macros
  + other fixes (see CHANGES)

* Tue Apr 10 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 2.1.0-alt2
- Change module activation way accordind to new apache2 scheme
- Fix linking

* Fri Mar 09 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 2.1.0-alt1
- Updated to 2.1.0:
  + Security fix: BONUS-12-2007:mod_security POST Rules Bypass Vulnerability,
    see http://www.php-security.org/MOPB/BONUS-12-2007.html (Closes: #11035)

* Fri Mar 09 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.4-alt4
- Build only apache2 module
- Don't build separate %name-common subpackage
- Rename package to apache2-mod_security

* Fri Oct 06 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.4-alt3
- Whoops, really fix path to module (Closes: #10089)

* Tue Sep 26 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.4-alt2
- Don't use full path to mod_security.so in apache config because it make
  troubles on x86_64 (reported by thresh@)

* Thu Jun 01 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.4-alt1
- 1.9.4

* Thu Apr 20 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.3-alt1
- 1.9.3

* Wed Feb 01 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.2-alt1
- New version
- Don't use %%a_libexecdir macros

* Mon Dec 12 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9.1-alt1
- New version (bugfix release)
- Provide default apache-related config with some rules
- Common stuff moved into -common package
- Updated README.ALT

* Mon Nov 07 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.9-alt1
- New version

* Thu Sep 01 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt3
- Splited to several parts by reason:
- Now building module for apache2 also
- Minor spec cleanup
- Changed Group

* Wed Aug 24 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt2
- Fixed config installation (should really go to addonconfdir.d/) (thanks to mike@)
- Remove previous config inclusion from httpd.conf (thanks to mike@)
- Minor spec cleanup
- Added README.ALT (mike@)

* Wed Jul 20 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt1
- Initial build for Sisyphus
